@ECHO OFF
@CLS
ECHO.
ECHO.
ECHO                ~Ys IV: The Dawn of Ys English Dub v1.0~
ECHO -------------------------------------------------------------------------------
ECHO Directed by: Michael G. (Burnt Lasagna)  
ECHO Technical Support by: Nicolas Livaditis (NightWolve)
ECHO -------------------------------------------------------------------------------
ECHO.
ECHO  Press any key to patch the game...
pause>nul 

:FIRST
IF EXIST backup\*.bak GOTO WARNING
ECHO Checking ISO Integrity...
FOR /F "tokens=*" %%I IN ('FileBySize *.iso 67420160 /s') DO SET ISONAME="%%I"

IF EXIST %ISONAME% GOTO AUDIO
IF [%ISONAME%]==[] SET ISONAME="02 Ys IV - The Dawn of Ys {HCD3051-4-1108-R1F} (J).iso"
IF NOT EXIST %ISONAME% SET ISONAME="02 Ys IV - The Dawn of Ys {HCD3051-5-1116-R1P} (J).iso"

Rem Failed to detect a valid track 2 for some reason...
IF NOT EXIST %ISONAME% GOTO FATAL

GOTO AUDIO

:AUDIO
ECHO Unpacking APE to WAV...
IF NOT EXIST ".\patch\MAC.exe" GOTO MISSING
IF NOT EXIST ".\patch\Track01.ape" GOTO MISSING
IF NOT EXIST ".\patch\Track07.ape" GOTO MISSING
IF NOT EXIST ".\patch\Track24.ape" GOTO MISSING
IF NOT EXIST ".\patch\Track28.ape" GOTO MISSING
IF NOT EXIST ".\patch\Track29.ape" GOTO MISSING
IF NOT EXIST ".\patch\Track30.ape" GOTO MISSING
CD patch
IF NOT EXIST Track01.wav MAC.exe Track01.ape Track01.wav -d
IF NOT EXIST Track07.wav MAC.exe Track07.ape Track07.wav -d
IF NOT EXIST Track24.wav MAC.exe Track24.ape Track24.wav -d
IF NOT EXIST Track28.wav MAC.exe Track28.ape Track28.wav -d
IF NOT EXIST Track29.wav MAC.exe Track29.ape Track29.wav -d
IF NOT EXIST Track30.wav MAC.exe Track30.ape Track30.wav -d
cls
CD..
GOTO START 

:START
IF NOT EXIST "xdelta.exe" GOTO MISSING
IF NOT EXIST ".\patch\YsIV.xdelta" GOTO MISSING
IF NOT EXIST ".\patch\Track01.wav" GOTO MISSING
IF NOT EXIST ".\patch\Track07.wav" GOTO MISSING
IF NOT EXIST ".\patch\Track24.wav" GOTO MISSING
IF NOT EXIST ".\patch\Track28.wav" GOTO MISSING
IF NOT EXIST ".\patch\Track29.wav" GOTO MISSING
IF NOT EXIST ".\patch\Track30.wav" GOTO MISSING

:VERIFY
FOR /F "tokens=*" %%I IN ( 'FileBySize *.wav 7914524 /s' ) DO SET TRACK01="%%I"
IF [%TRACK01%]==[] SET TRACK01="01 Ys IV - The Dawn of Ys {HCD3051-4-1108-R1F} (J).wav"

FOR /F "tokens=*" %%I IN ( 'FileBySize *.wav 18347996 /s' ) DO SET TRACK07="%%I"
IF EXIST %TRACK07% GOTO FOUND07 
	FOR /F "tokens=*" %%I IN ( 'FileBySize *.wav 18757244 /s' ) DO SET TRACK07="%%I"
	IF [%TRACK07%]==[] SET TRACK07="07 Ys IV - The Dawn of Ys {HCD3051-4-1108-R1F} (J).wav"
:FOUND07

FOR /F "tokens=*" %%I IN ('FileBySize *.wav 14267276 /s') DO SET TRACK24="%%I"
IF EXIST %TRACK24% GOTO FOUND24
	FOR /F "tokens=*" %%I IN ( 'FileBySize *.wav 14213180 /s' ) DO SET TRACK24="%%I"
	IF [%TRACK24%]==[] SET TRACK24="24 Ys IV - The Dawn of Ys {HCD3051-4-1108-R1F} (J).wav"
:FOUND24
																								 
FOR /F "tokens=*" %%I IN ('FileBySize *.wav 19265276 /s') DO SET TRACK28="%%I"
IF EXIST %TRACK28% GOTO FOUND28
	FOR /F "tokens=*" %%I IN ('FileBySize *.wav 19133564 /s') DO SET TRACK28="%%I"
	IF [%TRACK28%]==[] SET TRACK28="28 Ys IV - The Dawn of Ys {HCD3051-4-1108-R1F} (J).wav"
:FOUND28

FOR /F "tokens=*" %%I IN ('FileBySize *.wav 28097036 /s') DO SET TRACK29="%%I"
IF EXIST %TRACK29% GOTO FOUND29
	FOR /F "tokens=*" %%I IN ('FileBySize *.wav 28031180 /s') DO SET TRACK29="%%I"
	IF [%TRACK29%]==[] SET TRACK29="29 Ys IV - The Dawn of Ys {HCD3051-4-1108-R1F} (J).wav"
:FOUND29	

FOR /F "tokens=*" %%I IN ('FileBySize *.wav 55869452 /s') DO SET TRACK30="%%I"
IF EXIST %TRACK30% GOTO FOUND30
	FOR /F "tokens=*" %%I IN ('FileBySize *.wav 56024684 /s') DO SET TRACK30="%%I"
	IF [%TRACK30%]==[] SET TRACK30="30 Ys IV - The Dawn of Ys {HCD3051-4-1108-R1F} (J).wav"
:FOUND30

IF NOT EXIST %TRACK01% SET TRACK01="01 Ys IV - The Dawn of Ys {HCD3051-5-1116-R1P} (J).wav"
IF NOT EXIST %TRACK07% SET TRACK07="07 Ys IV - The Dawn of Ys {HCD3051-5-1116-R1P} (J).wav"
IF NOT EXIST %TRACK24% SET TRACK24="24 Ys IV - The Dawn of Ys {HCD3051-5-1116-R1P} (J).wav"
IF NOT EXIST %TRACK28% SET TRACK28="28 Ys IV - The Dawn of Ys {HCD3051-5-1116-R1P} (J).wav"
IF NOT EXIST %TRACK29% SET TRACK29="29 Ys IV - The Dawn of Ys {HCD3051-5-1116-R1P} (J).wav"
IF NOT EXIST %TRACK30% SET TRACK30="30 Ys IV - The Dawn of Ys {HCD3051-5-1116-R1P} (J).wav"

IF NOT EXIST %TRACK01% GOTO DAMAGED
IF NOT EXIST %TRACK07% GOTO DAMAGED
IF NOT EXIST %TRACK24% GOTO DAMAGED
IF NOT EXIST %TRACK28% GOTO DAMAGED
IF NOT EXIST %TRACK29% GOTO DAMAGED
IF NOT EXIST %TRACK30% GOTO DAMAGED

cls
:BACKUP
ECHO Backing up Japanese files to backup folder...
REN %TRACK01% %TRACK01%.bak
REN %TRACK07% %TRACK07%.bak
REN %TRACK24% %TRACK24%.bak
REN %TRACK28% %TRACK28%.bak
REN %TRACK29% %TRACK29%.bak
REN %TRACK30% %TRACK30%.bak
COPY /B /V %ISONAME% %ISONAME%.bak
cls
MKDIR backup

MOVE *.bak backup
cls
ECHO Moving English Audio Tracks...
COPY /B /V .\patch\Track01.wav %TRACK01%
COPY /B /V .\patch\Track07.wav %TRACK07%
COPY /B /V .\patch\Track24.wav %TRACK24%
COPY /B /V .\patch\Track28.wav %TRACK28%
COPY /B /V .\patch\Track29.wav %TRACK29%
COPY /B /V .\patch\Track30.wav %TRACK30%
cd patch
del Track01.wav
del Track07.wav
del Track24.wav
del Track28.wav
del Track29.wav
del Track30.wav
cd..
cls
:FINALSTEP
CLS
ECHO Nulling ADPCM sectors...
FILE_NULL %ISONAME% 0x206E000 0x003E98 /s
FILE_NULL %ISONAME% 0x207BCEF 0x001B11 /s
FILE_NULL %ISONAME% 0x207D800 0x004800 /s
FILE_NULL %ISONAME% 0x2082000 0x006000 /s
FILE_NULL %ISONAME% 0x2088000 0x005000 /s
FILE_NULL %ISONAME% 0x20BE800 0x004000 /s
FILE_NULL %ISONAME% 0x20E9000 0x004000 /s
FILE_NULL %ISONAME% 0x20ED000 0x004000 /s
FILE_NULL %ISONAME% 0x20F4800 0x044800 /s
FILE_NULL %ISONAME% 0x2139000 0x05F800 /s
FILE_NULL %ISONAME% 0x2198800 0x024000 /s
FILE_NULL %ISONAME% 0x21BC800 0x021800 /s
FILE_NULL %ISONAME% 0x21DE000 0x002000 /s
FILE_NULL %ISONAME% 0x21E0000 0x008800 /s
FILE_NULL %ISONAME% 0x21E8800 0x00D000 /s
FILE_NULL %ISONAME% 0x21F5800 0x00D800 /s
FILE_NULL %ISONAME% 0x2203000 0x00C800 /s
FILE_NULL %ISONAME% 0x220F800 0x00B000 /s
FILE_NULL %ISONAME% 0x221A800 0x028000 /s
FILE_NULL %ISONAME% 0x2242800 0x01D800 /s
FILE_NULL %ISONAME% 0x2260000 0x01C800 /s
FILE_NULL %ISONAME% 0x227C800 0x027800 /s
FILE_NULL %ISONAME% 0x22A4000 0x04F000 /s
FILE_NULL %ISONAME% 0x22F3000 0x054000 /s
FILE_NULL %ISONAME% 0x2347000 0x003000 /s
FILE_NULL %ISONAME% 0x234A000 0x006000 /s
FILE_NULL %ISONAME% 0x2350000 0x007000 /s
FILE_NULL %ISONAME% 0x2357000 0x00C800 /s
FILE_NULL %ISONAME% 0x2363800 0x006000 /s
FILE_NULL %ISONAME% 0x2369800 0x016800 /s
FILE_NULL %ISONAME% 0x2380000 0x00F000 /s
FILE_NULL %ISONAME% 0x238F000 0x007800 /s
FILE_NULL %ISONAME% 0x2396800 0x019000 /s
FILE_NULL %ISONAME% 0x23AF800 0x026000 /s
FILE_NULL %ISONAME% 0x23D5800 0x009800 /s
FILE_NULL %ISONAME% 0x23DF000 0x015000 /s
FILE_NULL %ISONAME% 0x23F4000 0x005800 /s
FILE_NULL %ISONAME% 0x23F9800 0x016000 /s
FILE_NULL %ISONAME% 0x240F800 0x006800 /s
FILE_NULL %ISONAME% 0x2416000 0x023800 /s
FILE_NULL %ISONAME% 0x2439800 0x00A000 /s
FILE_NULL %ISONAME% 0x2443800 0x00D800 /s
FILE_NULL %ISONAME% 0x2451000 0x005800 /s
FILE_NULL %ISONAME% 0x2456800 0x011000 /s
FILE_NULL %ISONAME% 0x2467800 0x008000 /s
FILE_NULL %ISONAME% 0x246F800 0x00C800 /s
FILE_NULL %ISONAME% 0x247C000 0x147000 /s
FILE_NULL %ISONAME% 0x25C3000 0x036000 /s
FILE_NULL %ISONAME% 0x25F9000 0x028800 /s
FILE_NULL %ISONAME% 0x2621800 0x017800 /s
FILE_NULL %ISONAME% 0x2639000 0x012000 /s
FILE_NULL %ISONAME% 0x264B000 0x05C000 /s
FILE_NULL %ISONAME% 0x26A7000 0x036000 /s
FILE_NULL %ISONAME% 0x26DD000 0x039000 /s
FILE_NULL %ISONAME% 0x2716000 0x00A800 /s
FILE_NULL %ISONAME% 0x2720800 0x007800 /s
FILE_NULL %ISONAME% 0x2728000 0x04A000 /s
FILE_NULL %ISONAME% 0x2772000 0x00B000 /s
FILE_NULL %ISONAME% 0x277D000 0x002800 /s
FILE_NULL %ISONAME% 0x277F800 0x00F000 /s
FILE_NULL %ISONAME% 0x278E800 0x00C000 /s
FILE_NULL %ISONAME% 0x279A800 0x016000 /s
FILE_NULL %ISONAME% 0x27B0800 0x033800 /s
FILE_NULL %ISONAME% 0x27E4000 0x024000 /s
FILE_NULL %ISONAME% 0x2808000 0x01A000 /s
FILE_NULL %ISONAME% 0x2822000 0x017800 /s
FILE_NULL %ISONAME% 0x2839800 0x001000 /s
FILE_NULL %ISONAME% 0x283A800 0x001800 /s
FILE_NULL %ISONAME% 0x283C000 0x069800 /s
FILE_NULL %ISONAME% 0x28A5800 0x030800 /s
FILE_NULL %ISONAME% 0x28D6000 0x101800 /s
FILE_NULL %ISONAME% 0x29D7800 0x00C800 /s
FILE_NULL %ISONAME% 0x29E4000 0x007800 /s
FILE_NULL %ISONAME% 0x29EB800 0x008800 /s
FILE_NULL %ISONAME% 0x29F4000 0x02C800 /s
FILE_NULL %ISONAME% 0x2A20800 0x033800 /s
FILE_NULL %ISONAME% 0x2A54000 0x011800 /s
FILE_NULL %ISONAME% 0x2A65800 0x028800 /s
FILE_NULL %ISONAME% 0x2A8E000 0x0DE000 /s
FILE_NULL %ISONAME% 0x2B6C000 0x019800 /s
FILE_NULL %ISONAME% 0x2B85800 0x01E800 /s
FILE_NULL %ISONAME% 0x2BA4000 0x00B800 /s
FILE_NULL %ISONAME% 0x2BAF800 0x00F800 /s
FILE_NULL %ISONAME% 0x2BBF000 0x016000 /s
FILE_NULL %ISONAME% 0x2BD5000 0x007800 /s
FILE_NULL %ISONAME% 0x2BDC800 0x01C800 /s
FILE_NULL %ISONAME% 0x2BF9000 0x004800 /s
FILE_NULL %ISONAME% 0x2BFD800 0x008000 /s
FILE_NULL %ISONAME% 0x2C05800 0x00C000 /s
FILE_NULL %ISONAME% 0x2C11800 0x00D800 /s
FILE_NULL %ISONAME% 0x2C1F000 0x002800 /s
FILE_NULL %ISONAME% 0x2C21800 0x02C000 /s
FILE_NULL %ISONAME% 0x2C4D800 0x11F800 /s
FILE_NULL %ISONAME% 0x2D6D000 0x06D000 /s
FILE_NULL %ISONAME% 0x2DDA000 0x030800 /s
FILE_NULL %ISONAME% 0x2E0A800 0x009800 /s
FILE_NULL %ISONAME% 0x2E14000 0x00A800 /s
FILE_NULL %ISONAME% 0x2E1E800 0x00B000 /s
FILE_NULL %ISONAME% 0x2E29800 0x005800 /s
FILE_NULL %ISONAME% 0x2E2F000 0x004000 /s
FILE_NULL %ISONAME% 0x2E33000 0x004800 /s
FILE_NULL %ISONAME% 0x2E37800 0x00A000 /s
FILE_NULL %ISONAME% 0x2E41800 0x005800 /s
FILE_NULL %ISONAME% 0x2E47000 0x002000 /s
FILE_NULL %ISONAME% 0x2E49000 0x009000 /s
FILE_NULL %ISONAME% 0x2E52000 0x013800 /s
FILE_NULL %ISONAME% 0x2E65800 0x00F800 /s
FILE_NULL %ISONAME% 0x2E75000 0x008800 /s
FILE_NULL %ISONAME% 0x2E7D800 0x009800 /s
FILE_NULL %ISONAME% 0x2E87000 0x00D800 /s
FILE_NULL %ISONAME% 0x2E94800 0x039000 /s
FILE_NULL %ISONAME% 0x2ECD800 0x00D000 /s
FILE_NULL %ISONAME% 0x2EDA800 0x00B800 /s
FILE_NULL %ISONAME% 0x2EE6000 0x00B000 /s
FILE_NULL %ISONAME% 0x2EF1000 0x00B000 /s
FILE_NULL %ISONAME% 0x2EFC000 0x034000 /s
FILE_NULL %ISONAME% 0x2F30000 0x007000 /s
FILE_NULL %ISONAME% 0x2F37000 0x005800 /s
FILE_NULL %ISONAME% 0x2F3C800 0x01A000 /s
FILE_NULL %ISONAME% 0x2F56800 0x00A800 /s
FILE_NULL %ISONAME% 0x2F61000 0x010800 /s
FILE_NULL %ISONAME% 0x2F71800 0x019800 /s
FILE_NULL %ISONAME% 0x2F8B000 0x037800 /s
FILE_NULL %ISONAME% 0x2FC2800 0x00A800 /s
FILE_NULL %ISONAME% 0x2FCD000 0x005800 /s
FILE_NULL %ISONAME% 0x2FD2800 0x00B000 /s
FILE_NULL %ISONAME% 0x2FDD800 0x00A000 /s
FILE_NULL %ISONAME% 0x2FE7800 0x004800 /s
FILE_NULL %ISONAME% 0x2FEC000 0x024000 /s
FILE_NULL %ISONAME% 0x3010000 0x003800 /s
FILE_NULL %ISONAME% 0x3013800 0x009000 /s
FILE_NULL %ISONAME% 0x301C800 0x004800 /s
FILE_NULL %ISONAME% 0x3021000 0x003000 /s
FILE_NULL %ISONAME% 0x3024000 0x035000 /s
FILE_NULL %ISONAME% 0x3059000 0x00B000 /s
FILE_NULL %ISONAME% 0x3064000 0x001800 /s
FILE_NULL %ISONAME% 0x3065800 0x038000 /s
FILE_NULL %ISONAME% 0x309D800 0x03F000 /s
FILE_NULL %ISONAME% 0x30DC800 0x047000 /s
FILE_NULL %ISONAME% 0x32A4800 0x09D000 /s
FILE_NULL %ISONAME% 0x3341800 0x03C800 /s
FILE_NULL %ISONAME% 0x337E000 0x006800 /s
FILE_NULL %ISONAME% 0x3384800 0x014000 /s
FILE_NULL %ISONAME% 0x3398800 0x014000 /s
FILE_NULL %ISONAME% 0x33AC800 0x003800 /s
FILE_NULL %ISONAME% 0x33B0000 0x064000 /s
FILE_NULL %ISONAME% 0x3414000 0x075000 /s
FILE_NULL %ISONAME% 0x3489000 0x028000 /s
FILE_NULL %ISONAME% 0x34B1000 0x026000 /s
FILE_NULL %ISONAME% 0x34D7000 0x007800 /s
FILE_NULL %ISONAME% 0x34DE800 0x015800 /s
FILE_NULL %ISONAME% 0x34F4000 0x00C800 /s
FILE_NULL %ISONAME% 0x3500800 0x004000 /s
FILE_NULL %ISONAME% 0x3504800 0x007000 /s
FILE_NULL %ISONAME% 0x350B800 0x006800 /s
FILE_NULL %ISONAME% 0x3512000 0x01E800 /s
FILE_NULL %ISONAME% 0x3530800 0x002000 /s
FILE_NULL %ISONAME% 0x3532800 0x002800 /s
FILE_NULL %ISONAME% 0x3535000 0x00B800 /s
FILE_NULL %ISONAME% 0x3540800 0x015800 /s
FILE_NULL %ISONAME% 0x3556000 0x004800 /s
FILE_NULL %ISONAME% 0x355A800 0x001800 /s
FILE_NULL %ISONAME% 0x355C000 0x027800 /s
FILE_NULL %ISONAME% 0x3583800 0x0EB000 /s
FILE_NULL %ISONAME% 0x366E800 0x01B800 /s
FILE_NULL %ISONAME% 0x368A000 0x009000 /s
FILE_NULL %ISONAME% 0x3693000 0x01D000 /s
FILE_NULL %ISONAME% 0x36B0000 0x00D800 /s
FILE_NULL %ISONAME% 0x36BD800 0x095000 /s
FILE_NULL %ISONAME% 0x3752800 0x002000 /s
FILE_NULL %ISONAME% 0x3754800 0x020000 /s
FILE_NULL %ISONAME% 0x3774800 0x00D800 /s
FILE_NULL %ISONAME% 0x3782000 0x009000 /s
FILE_NULL %ISONAME% 0x378B000 0x004000 /s
FILE_NULL %ISONAME% 0x378F000 0x00E000 /s
FILE_NULL %ISONAME% 0x379D000 0x011000 /s
FILE_NULL %ISONAME% 0x37AE000 0x017000 /s
FILE_NULL %ISONAME% 0x37C5000 0x004800 /s
FILE_NULL %ISONAME% 0x37C9800 0x003800 /s
FILE_NULL %ISONAME% 0x37CD000 0x00A800 /s
FILE_NULL %ISONAME% 0x37D7800 0x009800 /s
FILE_NULL %ISONAME% 0x37E1000 0x003800 /s
FILE_NULL %ISONAME% 0x37E4800 0x007000 /s
FILE_NULL %ISONAME% 0x37EB800 0x034000 /s
FILE_NULL %ISONAME% 0x381F800 0x00D000 /s
FILE_NULL %ISONAME% 0x382C800 0x00A000 /s
FILE_NULL %ISONAME% 0x3836800 0x005000 /s
FILE_NULL %ISONAME% 0x383B800 0x011800 /s
FILE_NULL %ISONAME% 0x384D000 0x002000 /s
FILE_NULL %ISONAME% 0x384F000 0x016800 /s
FILE_NULL %ISONAME% 0x3865800 0x011000 /s
FILE_NULL %ISONAME% 0x3876800 0x011800 /s
FILE_NULL %ISONAME% 0x3888000 0x015800 /s
FILE_NULL %ISONAME% 0x389D800 0x005800 /s
FILE_NULL %ISONAME% 0x38A3000 0x06E000 /s
FILE_NULL %ISONAME% 0x3911000 0x03F000 /s
FILE_NULL %ISONAME% 0x3950000 0x013800 /s
FILE_NULL %ISONAME% 0x3963800 0x041800 /s
FILE_NULL %ISONAME% 0x39A5000 0x058000 /s
FILE_NULL %ISONAME% 0x39FD000 0x04B800 /s
FILE_NULL %ISONAME% 0x3A48800 0x05A800 /s
FILE_NULL %ISONAME% 0x3AA3000 0x02E000 /s
FILE_NULL %ISONAME% 0x3AD1000 0x05E800 /s
FILE_NULL %ISONAME% 0x3B2F800 0x02D800 /s
FILE_NULL %ISONAME% 0x3B5D000 0x004000 /s
FILE_NULL %ISONAME% 0x3B61000 0x004000 /s
FILE_NULL %ISONAME% 0x3B65000 0x011000 /s
FILE_NULL %ISONAME% 0x3B76000 0x008000 /s
FILE_NULL %ISONAME% 0x3B95800 0x03C800 /s
FILE_NULL %ISONAME% 0x3BD2000 0x003000 /s
FILE_NULL %ISONAME% 0x3BD5000 0x017000 /s
FILE_NULL %ISONAME% 0x3BEC000 0x024000 /s
FILE_NULL %ISONAME% 0x3C10000 0x04E800 /s
FILE_NULL %ISONAME% 0x3C5E800 0x002800 /s
FILE_NULL %ISONAME% 0x3C61000 0x004000 /s
FILE_NULL %ISONAME% 0x3C65000 0x00D000 /s
FILE_NULL %ISONAME% 0x3C72000 0x005000 /s
FILE_NULL %ISONAME% 0x3C77000 0x01D000 /s
FILE_NULL %ISONAME% 0x3C94000 0x021800 /s
FILE_NULL %ISONAME% 0x3CB5800 0x00F800 /s
FILE_NULL %ISONAME% 0x3CC5000 0x018000 /s
FILE_NULL %ISONAME% 0x3CDD000 0x011000 /s
FILE_NULL %ISONAME% 0x3CEE000 0x01A000 /s
FILE_NULL %ISONAME% 0x3D08000 0x005800 /s
FILE_NULL %ISONAME% 0x3D0D800 0x009800 /s
FILE_NULL %ISONAME% 0x3D17000 0x003800 /s
FILE_NULL %ISONAME% 0x3D1A800 0x00A000 /s
FILE_NULL %ISONAME% 0x3D24800 0x00A000 /s
FILE_NULL %ISONAME% 0x3D2E800 0x06A000 /s
FILE_NULL %ISONAME% 0x3D98800 0x02B800 /s
FILE_NULL %ISONAME% 0x3DC4000 0x0D4800 /s
FILE_NULL %ISONAME% 0x3E98800 0x04C000 /s

ECHO Inserting new ADPCM into Track02...
xdelta.exe -f -d -s %ISONAME% ./Patch/YsIV.xdelta ./patch/%ISONAME%
COPY /B /V .\patch\%ISONAME% %ISONAME%
cd patch
del %ISONAME%
cd..


GOTO COMPLETE

:FATAL
CLS
ECHO.
ECHO.
ECHO.
ECHO                 ͻ
ECHO                                                              
ECHO                   ERROR: ISO does not match valid file size! 
ECHO                                                              
ECHO                 ͼ
ECHO.
pause>nul
exit

:MISSING
CLS
ECHO.
ECHO.
ECHO.
ECHO                 ͻ
ECHO                                                              
ECHO                       A required patch file is missing!      
ECHO                                                              
ECHO                 ͼ
ECHO.
pause>nul
exit

:DAMAGED
CLS
ECHO.
ECHO.
ECHO.
ECHO        ͻ
ECHO                 Cannot auto detect audio track file names!         
ECHO        Ķ
ECHO                                                                    
ECHO                  you will have to manually copy the audio          
ECHO                    tracks over from the 'patch' folder.            
ECHO                                                                    
ECHO                 Press any key to continue with ISO patching        
ECHO                                                                    
ECHO        ͼ
ECHO.
ECHO.
pause>nul
GOTO FINALSTEP
exit

:WARNING
CLS
ECHO.
ECHO.
ECHO.
ECHO                 ͻ
ECHO                                                              
ECHO                       The game has already been patched!     
ECHO                                                              
ECHO                 ͼ
ECHO.
pause>nul
exit

:COMPLETE
CLS
ECHO.
ECHO.
ECHO.
ECHO                 ͻ
ECHO                                                              
ECHO                       The patching process is complete!      
ECHO                                                              
ECHO                 ͼ
ECHO.
pause>nul
exit

:END
